// src/index.ts
var VITE_PLUGIN_NAME = "vite-plugin-print-urls";
function PluginDecorator() {
  let hmrContext;
  return {
    name: VITE_PLUGIN_NAME,
    enforce: "pre",
    handleHotUpdate(ctx) {
      hmrContext = ctx;
    },
    configureServer({ watcher, printUrls, config }) {
      watcher.on("all", (_, file) => {
        const queue = config.plugins.map((plugin) => plugin.handleHotUpdate ? plugin.handleHotUpdate(hmrContext) : Promise.resolve());
        Promise.all(queue).then((fullModules) => {
          const filteredModules = fullModules.filter((item) => item && item.length);
          if (filteredModules.length || (hmrContext == null ? void 0 : hmrContext.modules.length)) {
            config.logger.info("");
            printUrls();
          }
          if (!(hmrContext == null ? void 0 : hmrContext.modules.length)) {
            if (file.endsWith(".html")) {
              config.logger.info("");
              printUrls();
            }
          }
        });
      });
    }
  };
}
var src_default = PluginDecorator;
export {
  src_default as default
};
